// Copyright (C) 2022 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only WITH Qt-GPL-exception-1.0

// THIS FILE IS AUTOMATICALLY GENERATED. DO NOT EDIT!

#pragma once

#include <QWidget>

QT_BEGIN_NAMESPACE
class QCheckBox;
class QComboBox;
class QLabel;
class QLineEdit;
class QPlainTextEdit;
class QPushButton;
class QWidget;
QT_END_NAMESPACE

namespace ClangFormat {

class ClangFormatChecks : public QWidget
{
    Q_OBJECT
public:
    ClangFormatChecks(QWidget *parent = nullptr);

private:
    QComboBox *m_BasedOnStyle = nullptr;
    QComboBox *m_InheritsParentConfig = nullptr;
    QLineEdit *m_AccessModifierOffset = nullptr;
    QPushButton *m_setAccessModifierOffset = nullptr;
    QComboBox *m_AlignAfterOpenBracket = nullptr;
    QComboBox *m_AlignArrayOfStructures = nullptr;
    QComboBox *m_AlignConsecutiveMacros = nullptr;
    QComboBox *m_AlignConsecutiveAssignments = nullptr;
    QComboBox *m_AlignConsecutiveBitFields = nullptr;
    QComboBox *m_AlignConsecutiveDeclarations = nullptr;
    QComboBox *m_AlignEscapedNewlines = nullptr;
    QComboBox *m_AlignOperands = nullptr;
    QComboBox *m_AlignTrailingComments = nullptr;
    QComboBox *m_AllowAllArgumentsOnNextLine = nullptr;
    QComboBox *m_AllowAllParametersOfDeclarationOnNextLine = nullptr;
    QComboBox *m_AllowShortEnumsOnASingleLine = nullptr;
    QComboBox *m_AllowShortBlocksOnASingleLine = nullptr;
    QComboBox *m_AllowShortCaseLabelsOnASingleLine = nullptr;
    QComboBox *m_AllowShortFunctionsOnASingleLine = nullptr;
    QComboBox *m_AllowShortIfStatementsOnASingleLine = nullptr;
    QComboBox *m_AllowShortLambdasOnASingleLine = nullptr;
    QComboBox *m_AllowShortLoopsOnASingleLine = nullptr;
    QComboBox *m_AlwaysBreakAfterReturnType = nullptr;
    QComboBox *m_AlwaysBreakBeforeMultilineStrings = nullptr;
    QComboBox *m_AlwaysBreakTemplateDeclarations = nullptr;
    QPlainTextEdit *m_AttributeMacros = nullptr;
    QPushButton *m_setAttributeMacros = nullptr;
    QComboBox *m_BinPackArguments = nullptr;
    QComboBox *m_InsertTrailingCommas = nullptr;
    QComboBox *m_BinPackParameters = nullptr;
    QComboBox *m_BreakBeforeBinaryOperators = nullptr;
    QComboBox *m_BreakBeforeBraces = nullptr;
    QComboBox *m_AfterCaseLabel = nullptr;
    QComboBox *m_AfterClass = nullptr;
    QComboBox *m_AfterControlStatement = nullptr;
    QComboBox *m_AfterEnum = nullptr;
    QComboBox *m_AfterFunction = nullptr;
    QComboBox *m_AfterNamespace = nullptr;
    QComboBox *m_AfterObjCDeclaration = nullptr;
    QComboBox *m_AfterStruct = nullptr;
    QComboBox *m_AfterUnion = nullptr;
    QComboBox *m_AfterExternBlock = nullptr;
    QComboBox *m_BeforeCatch = nullptr;
    QComboBox *m_BeforeElse = nullptr;
    QComboBox *m_BeforeLambdaBody = nullptr;
    QComboBox *m_BeforeWhile = nullptr;
    QComboBox *m_IndentBraces = nullptr;
    QComboBox *m_SplitEmptyFunction = nullptr;
    QComboBox *m_SplitEmptyRecord = nullptr;
    QComboBox *m_SplitEmptyNamespace = nullptr;
    QComboBox *m_BreakBeforeConceptDeclarations = nullptr;
    QComboBox *m_BreakBeforeTernaryOperators = nullptr;
    QComboBox *m_BreakConstructorInitializers = nullptr;
    QComboBox *m_BreakAfterJavaFieldAnnotations = nullptr;
    QComboBox *m_BreakStringLiterals = nullptr;
    QLineEdit *m_ColumnLimit = nullptr;
    QPushButton *m_setColumnLimit = nullptr;
    QLineEdit *m_CommentPragmas = nullptr;
    QPushButton *m_setCommentPragmas = nullptr;
    QComboBox *m_QualifierAlignment = nullptr;
    QPlainTextEdit *m_QualifierOrder = nullptr;
    QPushButton *m_setQualifierOrder = nullptr;
    QComboBox *m_BreakInheritanceList = nullptr;
    QComboBox *m_CompactNamespaces = nullptr;
    QLineEdit *m_ConstructorInitializerIndentWidth = nullptr;
    QPushButton *m_setConstructorInitializerIndentWidth = nullptr;
    QLineEdit *m_ContinuationIndentWidth = nullptr;
    QPushButton *m_setContinuationIndentWidth = nullptr;
    QComboBox *m_Cpp11BracedListStyle = nullptr;
    QComboBox *m_DeriveLineEnding = nullptr;
    QComboBox *m_DerivePointerAlignment = nullptr;
    QComboBox *m_DisableFormat = nullptr;
    QComboBox *m_EmptyLineAfterAccessModifier = nullptr;
    QComboBox *m_EmptyLineBeforeAccessModifier = nullptr;
    QComboBox *m_ExperimentalAutoDetectBinPacking = nullptr;
    QComboBox *m_PackConstructorInitializers = nullptr;
    QComboBox *m_FixNamespaceComments = nullptr;
    QPlainTextEdit *m_ForEachMacros = nullptr;
    QPushButton *m_setForEachMacros = nullptr;
    QPlainTextEdit *m_IfMacros = nullptr;
    QPushButton *m_setIfMacros = nullptr;
    QPlainTextEdit *m_TypenameMacros = nullptr;
    QPushButton *m_setTypenameMacros = nullptr;
    QPlainTextEdit *m_StatementMacros = nullptr;
    QPushButton *m_setStatementMacros = nullptr;
    QPlainTextEdit *m_NamespaceMacros = nullptr;
    QPushButton *m_setNamespaceMacros = nullptr;
    QPlainTextEdit *m_WhitespaceSensitiveMacros = nullptr;
    QPushButton *m_setWhitespaceSensitiveMacros = nullptr;
    QComboBox *m_IndentAccessModifiers = nullptr;
    QComboBox *m_IndentCaseLabels = nullptr;
    QComboBox *m_IndentCaseBlocks = nullptr;
    QComboBox *m_IndentGotoLabels = nullptr;
    QComboBox *m_IndentPPDirectives = nullptr;
    QComboBox *m_IndentExternBlock = nullptr;
    QComboBox *m_IndentRequires = nullptr;
    QLineEdit *m_IndentWidth = nullptr;
    QPushButton *m_setIndentWidth = nullptr;
    QComboBox *m_IndentWrappedFunctionNames = nullptr;
    QPlainTextEdit *m_JavaImportGroups = nullptr;
    QPushButton *m_setJavaImportGroups = nullptr;
    QComboBox *m_JavaScriptQuotes = nullptr;
    QComboBox *m_JavaScriptWrapImports = nullptr;
    QComboBox *m_KeepEmptyLinesAtTheStartOfBlocks = nullptr;
    QComboBox *m_Language = nullptr;
    QComboBox *m_LambdaBodyIndentation = nullptr;
    QLineEdit *m_MacroBlockBegin = nullptr;
    QPushButton *m_setMacroBlockBegin = nullptr;
    QLineEdit *m_MacroBlockEnd = nullptr;
    QPushButton *m_setMacroBlockEnd = nullptr;
    QLineEdit *m_MaxEmptyLinesToKeep = nullptr;
    QPushButton *m_setMaxEmptyLinesToKeep = nullptr;
    QComboBox *m_NamespaceIndentation = nullptr;
    QComboBox *m_ObjCBinPackProtocolList = nullptr;
    QLineEdit *m_ObjCBlockIndentWidth = nullptr;
    QPushButton *m_setObjCBlockIndentWidth = nullptr;
    QComboBox *m_ObjCSpaceAfterProperty = nullptr;
    QComboBox *m_ObjCBreakBeforeNestedBlockParam = nullptr;
    QComboBox *m_ObjCSpaceBeforeProtocolList = nullptr;
    QLineEdit *m_PenaltyBreakAssignment = nullptr;
    QPushButton *m_setPenaltyBreakAssignment = nullptr;
    QLineEdit *m_PenaltyBreakBeforeFirstCallParameter = nullptr;
    QPushButton *m_setPenaltyBreakBeforeFirstCallParameter = nullptr;
    QLineEdit *m_PenaltyBreakComment = nullptr;
    QPushButton *m_setPenaltyBreakComment = nullptr;
    QLineEdit *m_PenaltyBreakFirstLessLess = nullptr;
    QPushButton *m_setPenaltyBreakFirstLessLess = nullptr;
    QLineEdit *m_PenaltyBreakOpenParenthesis = nullptr;
    QPushButton *m_setPenaltyBreakOpenParenthesis = nullptr;
    QLineEdit *m_PenaltyBreakString = nullptr;
    QPushButton *m_setPenaltyBreakString = nullptr;
    QLineEdit *m_PenaltyBreakTemplateDeclaration = nullptr;
    QPushButton *m_setPenaltyBreakTemplateDeclaration = nullptr;
    QLineEdit *m_PenaltyExcessCharacter = nullptr;
    QPushButton *m_setPenaltyExcessCharacter = nullptr;
    QLineEdit *m_PenaltyReturnTypeOnItsOwnLine = nullptr;
    QPushButton *m_setPenaltyReturnTypeOnItsOwnLine = nullptr;
    QLineEdit *m_PenaltyIndentedWhitespace = nullptr;
    QPushButton *m_setPenaltyIndentedWhitespace = nullptr;
    QComboBox *m_PointerAlignment = nullptr;
    QLineEdit *m_PPIndentWidth = nullptr;
    QPushButton *m_setPPIndentWidth = nullptr;
    QComboBox *m_ReferenceAlignment = nullptr;
    QComboBox *m_ReflowComments = nullptr;
    QComboBox *m_RemoveBracesLLVM = nullptr;
    QComboBox *m_SeparateDefinitionBlocks = nullptr;
    QLineEdit *m_ShortNamespaceLines = nullptr;
    QPushButton *m_setShortNamespaceLines = nullptr;
    QComboBox *m_SortIncludes = nullptr;
    QComboBox *m_SortJavaStaticImport = nullptr;
    QComboBox *m_SortUsingDeclarations = nullptr;
    QComboBox *m_SpaceAfterCStyleCast = nullptr;
    QComboBox *m_SpaceAfterLogicalNot = nullptr;
    QComboBox *m_SpaceAfterTemplateKeyword = nullptr;
    QComboBox *m_SpaceAroundPointerQualifiers = nullptr;
    QComboBox *m_SpaceBeforeAssignmentOperators = nullptr;
    QComboBox *m_SpaceBeforeCaseColon = nullptr;
    QComboBox *m_SpaceBeforeCpp11BracedList = nullptr;
    QComboBox *m_SpaceBeforeCtorInitializerColon = nullptr;
    QComboBox *m_SpaceBeforeInheritanceColon = nullptr;
    QComboBox *m_SpaceBeforeParens = nullptr;
    QComboBox *m_AfterControlStatements = nullptr;
    QComboBox *m_AfterForeachMacros = nullptr;
    QComboBox *m_AfterFunctionDeclarationName = nullptr;
    QComboBox *m_AfterFunctionDefinitionName = nullptr;
    QComboBox *m_AfterIfMacros = nullptr;
    QComboBox *m_AfterOverloadedOperator = nullptr;
    QComboBox *m_BeforeNonEmptyParentheses = nullptr;
    QComboBox *m_SpaceBeforeRangeBasedForLoopColon = nullptr;
    QComboBox *m_SpaceInEmptyBlock = nullptr;
    QComboBox *m_SpaceInEmptyParentheses = nullptr;
    QLineEdit *m_SpacesBeforeTrailingComments = nullptr;
    QPushButton *m_setSpacesBeforeTrailingComments = nullptr;
    QComboBox *m_SpacesInAngles = nullptr;
    QComboBox *m_SpacesInConditionalStatement = nullptr;
    QComboBox *m_SpacesInContainerLiterals = nullptr;
    QComboBox *m_SpacesInCStyleCastParentheses = nullptr;
    QLineEdit *m_Minimum = nullptr;
    QPushButton *m_setMinimum = nullptr;
    QLineEdit *m_Maximum = nullptr;
    QPushButton *m_setMaximum = nullptr;
    QComboBox *m_SpacesInParentheses = nullptr;
    QComboBox *m_SpacesInSquareBrackets = nullptr;
    QComboBox *m_SpaceBeforeSquareBrackets = nullptr;
    QComboBox *m_BitFieldColonSpacing = nullptr;
    QComboBox *m_Standard = nullptr;
    QPlainTextEdit *m_StatementAttributeLikeMacros = nullptr;
    QPushButton *m_setStatementAttributeLikeMacros = nullptr;
    QLineEdit *m_TabWidth = nullptr;
    QPushButton *m_setTabWidth = nullptr;
    QComboBox *m_UseCRLF = nullptr;
    QComboBox *m_UseTab = nullptr;

};

} //ClangFormat
